Create directory listing item
POST
/v1/directory_listings/{directory_listing_id}/items
const url = 'http://api.disclosebot.localdev:3000/v1/directory_listings/example/items';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'}, body: '{ "data": { "type": "example", "attributes": { "listable_type": "example", "listable_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } } }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url http://api.disclosebot.localdev:3000/v1/directory_listings/example/items \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data '{ "data": { "type": "example", "attributes": { "listable_type": "example", "listable_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } } }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” directory_listing_id
required
string
Request Body required
Section titled “Request Body required ” Media type application/vnd.api+json
object
data
required
object
type
string
attributes
object
listable_type
string
listable_id
string format: uuid
Example generated
{ "data": { "type": "example", "attributes": { "listable_type": "example", "listable_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } }}Responses
Section titled “ Responses ”Created
Unprocessable entity